Description

I've found a bug in QGIS 1.4 on [[WinXP]] in french (so sorry for missnamed labels). 

Here is how to reproduce:

- Load a vector layer, for example containing surfaces

- Call the layer properties, tab "sign convention" (first one)

- Choose "unique value" as the legend type, choose a classification field and click button Classify.

- There are a list of values (if not, create some), with associated properties

- Filled the "label" for all values (the value is a code, so I set the label to a human-friendly text).

- Make sure the checkbox "restraint the changes to common properties" is checked

- Select multiple values and set the border style to none

- All labels have now the same text! Though the "label" field is disable on multiple selection.

What I was expecting is that the text in the "label" are not overwritten with the multiple edition of the border (the border is the same for all

values)

History

#1 - 2010-06-15 01:38 PM - Jean-Roc Morreale

It can be reproduced on qgis 1.5 using the old symboloy : selecting all the classes and changing the color or border at once will set all the labels to default.

The issue can't be reproduced on the new symbology as it is not possible to select more than one classe at the same time.

#2 - 2010-06-18 11:09 AM - Jean-Roc Morreale

I applied it against rv1748 but the build fails :

~/rpm/BUILD/qgis/src/app/qgsuniquevaluedialog.cpp:435: erreur: request for member ‘label’ in ‘symbol’, which is of non-class type ‘QgsSymbol*’

#3 - 2010-06-30 12:21 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
applied in commit:4eae64a8 (SVN r13858).  Thanks.

Files

bug2784fix.diff 698 Bytes 2010-06-18 fhof -

bug2784fix2.diff 699 Bytes 2010-06-21 fhof -
